package main.entities;

import main.Main;
import main.SheetLoader;

public class Spider extends LivingEntity {

	private static SheetLoader loader = new SheetLoader("/res/images/spider_sprite_sheet.png", 32, 32,
			new int[] { 5, 6, 9, 1, 4, 3, 9, 6, 5, 6, 9, 1, 4, 3, 9, 6 });

	public Spider() {
		super(loader.getFigur(0), "walk");

		width = 0.7f;
		height = 0.8f;
		spriteOffsetY = -0.14f;
		spriteScale = 0.8f;
		posX = 4f;
		posY = 4f;
	}

	protected void update() {

		// auf Kollisionen prüfen
		checkTileCollisions(Main.instance.getWorld().getCurrentMap());
		// LivingEntity auch updaten lassen
		super.update();
		velX = 0;
		velY = 0;

	}

}
